import { TdChartOptionsService, TdCoordinateSystem, TdMarkPointSymbol, ITdMarkPoint, ITdItemStyle, ITdLabel, ITdEmphasis, TdSeriesLayoutBy, ITdMarkLine, ITdMarkArea, TdSeriesDirective, ITdSeries } from '@covalent/echarts/base';
import * as i0 from "@angular/core";
export interface ITdScatterSeries extends ITdSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    geoIndex?: number;
    calendarIndex?: number;
    hoverAnimation?: boolean;
    legendHoverLink?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    large?: boolean;
    largeThreshold?: number;
    cursor?: string;
    connectNulls?: boolean;
    clipOverflow?: boolean;
    step?: boolean;
    label?: ITdLabel;
    itemStyle?: any;
    emphasis?: ITdEmphasis;
    progressive?: number;
    progressiveThreshold?: number;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    data?: any[];
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
}
export declare class TdChartSeriesScatterComponent extends TdSeriesDirective implements ITdScatterSeries {
    coordinateSystem?: TdCoordinateSystem;
    xAxisIndex?: number;
    yAxisIndex?: number;
    polarIndex?: number;
    geoIndex?: number;
    calendarIndex?: number;
    hoverAnimation?: boolean;
    legendHoverLink?: boolean;
    symbol?: TdMarkPointSymbol | string;
    symbolSize?: number | any[] | Function;
    symbolRotate?: number;
    symbolKeepAspect?: boolean;
    symbolOffset?: any[];
    large?: boolean;
    largeThreshold?: number;
    cursor?: string;
    label?: ITdLabel;
    itemStyle?: ITdItemStyle;
    emphasis?: ITdEmphasis;
    progressive?: number;
    progressiveThreshold?: number;
    dimensions?: any[];
    encode?: any;
    seriesLayoutBy?: TdSeriesLayoutBy;
    datasetIndex?: number;
    markPoint?: ITdMarkPoint;
    markLine?: ITdMarkLine;
    markArea?: ITdMarkArea;
    zlevel?: number;
    z?: number;
    silent?: boolean;
    constructor(_optionsService: TdChartOptionsService);
    getConfig(): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<TdChartSeriesScatterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TdChartSeriesScatterComponent, "td-chart-series[td-scatter]", never, { "config": { "alias": "config"; "required": false; }; "id": { "alias": "id"; "required": false; }; "name": { "alias": "name"; "required": false; }; "color": { "alias": "color"; "required": false; }; "data": { "alias": "data"; "required": false; }; "animation": { "alias": "animation"; "required": false; }; "animationThreshold": { "alias": "animationThreshold"; "required": false; }; "animationDuration": { "alias": "animationDuration"; "required": false; }; "animationEasing": { "alias": "animationEasing"; "required": false; }; "animationDelay": { "alias": "animationDelay"; "required": false; }; "animationDurationUpdate": { "alias": "animationDurationUpdate"; "required": false; }; "animationEasingUpdate": { "alias": "animationEasingUpdate"; "required": false; }; "animationDelayUpdate": { "alias": "animationDelayUpdate"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; "coordinateSystem": { "alias": "coordinateSystem"; "required": false; }; "xAxisIndex": { "alias": "xAxisIndex"; "required": false; }; "yAxisIndex": { "alias": "yAxisIndex"; "required": false; }; "polarIndex": { "alias": "polarIndex"; "required": false; }; "geoIndex": { "alias": "geoIndex"; "required": false; }; "calendarIndex": { "alias": "calendarIndex"; "required": false; }; "hoverAnimation": { "alias": "hoverAnimation"; "required": false; }; "legendHoverLink": { "alias": "legendHoverLink"; "required": false; }; "symbol": { "alias": "symbol"; "required": false; }; "symbolSize": { "alias": "symbolSize"; "required": false; }; "symbolRotate": { "alias": "symbolRotate"; "required": false; }; "symbolKeepAspect": { "alias": "symbolKeepAspect"; "required": false; }; "symbolOffset": { "alias": "symbolOffset"; "required": false; }; "large": { "alias": "large"; "required": false; }; "largeThreshold": { "alias": "largeThreshold"; "required": false; }; "cursor": { "alias": "cursor"; "required": false; }; "label": { "alias": "label"; "required": false; }; "itemStyle": { "alias": "itemStyle"; "required": false; }; "emphasis": { "alias": "emphasis"; "required": false; }; "progressive": { "alias": "progressive"; "required": false; }; "progressiveThreshold": { "alias": "progressiveThreshold"; "required": false; }; "dimensions": { "alias": "dimensions"; "required": false; }; "encode": { "alias": "encode"; "required": false; }; "seriesLayoutBy": { "alias": "seriesLayoutBy"; "required": false; }; "datasetIndex": { "alias": "datasetIndex"; "required": false; }; "markPoint": { "alias": "markPoint"; "required": false; }; "markLine": { "alias": "markLine"; "required": false; }; "markArea": { "alias": "markArea"; "required": false; }; "zlevel": { "alias": "zlevel"; "required": false; }; "z": { "alias": "z"; "required": false; }; "silent": { "alias": "silent"; "required": false; }; }, {}, never, never, false, never>;
}
